Get Single Report
curl --request GET \
--url https://api.chainabuse.com/v0/reports/{reportId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.chainabuse.com/v0/reports/{reportId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.chainabuse.com/v0/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "52907745-7672-470e-a803-a2f8feb52944",
"trusted": true,
"checked": true,
"scamCategory": "RUG_PULL",
"createdAt": "2022-09-09T04:53:16.591Z",
"addresses": [
{
"address": "12QeMLzSrB8XH8FvEzPMVoRxVAzTr5XM2y",
"chain": "BTC",
"domain": null
},
{
"address": null,
"chain": null,
"domain": "scammer.com"
}
]
}{
"reason": "<string>"
}Reports
Get Single Report
GET
/
reports
/
{reportId}
Get Single Report
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Id of the report
Response
Ok
Report ID
Reported by a contributor registered as trusted on Chainabuse.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 20, 2026
Was this page helpful?
⌘I